For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
      • GETList all filter sets
      • POSTCreate filter set
      • GETGet filter set
      • DELDelete filter set
      • PATCHUpdate filter set
      • POSTClone filter set
      • POSTLock filter set for editing
      • POSTUnlock filter set for editing
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceFilter Sets

List all filter sets

|View as Markdown|Open in Claude|
GET
https://api.prolific.com/api/v1/filter-sets/
GET
/api/v1/filter-sets/
$curl https://api.prolific.com/api/v1/filter-sets/ \
> -H "Authorization: Token <token>" \
> -H "Content-Type: application/json"
1{
2 "results": [
3 {
4 "id": "644ab312af6bbc363b9d47c7",
5 "version": 3,
6 "is_deleted": false,
7 "is_locked": true,
8 "workspace_id": "644aaabfaf6bbc363b9d47c6",
9 "organisation_id": "5f8d0d55b54764421b7156c3",
10 "name": "Young Adults in London",
11 "filters": [
12 {
13 "filter_id": "location",
14 "selected_values": [
15 "london"
16 ],
17 "weightings": {
18 "london": 100
19 }
20 }
21 ]
22 }
23 ]
24}
List of all filter sets in the specified workspace.
Was this page helpful?
Previous

Filter Sets

Next

Create filter set

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Query parameters

workspace_idstringOptional
ID of the workspace to get filter sets for.
organisation_idstringOptional
ID of the organisation to get filter sets for.

Response

List of filter sets
resultslist of objects
List of filter sets.

Errors

4XX
Client Request Error